Package org.apache.tools.ant.filters

# Class StripLineComments.Comment

java.lang.Object
org.apache.tools.ant.filters.StripLineComments.Comment

Enclosing class:
  `StripLineComments`

public static class StripLineComments.Comment extends Object
The class that holds a comment representation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Comment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addText(String comment)`
  Alt.
  `final String`
  `getValue()`
  Returns the prefix for this type of line comment.
  `final void`
  `setValue(String comment)`
  Sets the prefix for this type of line comment.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Comment

    public Comment()

- ## Method Details

  - ### setValue

    public final void setValue(String comment)
    Sets the prefix for this type of line comment.
    Parameters:
      `comment` - The prefix for a line comment of this type. Must not be `null`.

  - ### getValue

    public final String getValue()
    Returns the prefix for this type of line comment.
    Returns:
      the prefix for this type of line comment.

  - ### addText

    public void addText(String comment)
    Alt. syntax to set the prefix for this type of line comment.
    Parameters:
      `comment` - The prefix for a line comment of this type. Must not be `null`.